---
- name: Reboot system if needed
  ansible.builtin.reboot:
    msg: "Reboot triggered by Ansible due to system updates"
    connect_timeout: 5
    reboot_timeout: "{{ debian_reboot_timeout }}"
    pre_reboot_delay: 0
    post_reboot_delay: 30
    test_command: uptime
  when: ansible_connection != "docker"

- name: Restart fail2ban
  ansible.builtin.service:
    name: fail2ban
    state: restarted
  when: debian_fail2ban_enabled | bool

- name: Reload ufw
  ansible.builtin.service:
    name: ufw
    state: restarted
